// http://akelpad.sourceforge.net/forum/viewtopic.php?p=13573#13573
// Description(1049): Копирует содержимое файла в определённую структуру [] для выкладки на форум
// Version: 1.4 (2015.01.14)
// Author: VladSh
// 
// Arguments:
// 	-file="%f" - ссылка на файл
// 	-block - наименование тэга контейнера
// 	-bold ([0]/1) - "жирное" наименование скрипта
// 
// Usage:
// 	-"Содержимое файла в [more]..."  Call("Scripts::Main", 1, "ScriptCopyToBlock.js", `-file="%f"`)
// 	-"Содержимое файла в [spoiler]..."  Call("Scripts::Main", 1, "ScriptCopyToBlock.js", `-file="%f" -block="spoiler"`)

var pFileName = AkelPad.GetFilePath(AkelPad.GetArgValue("file", ""), 2 /*CPF_FILENAME*/);

var pBlockName = AkelPad.GetArgValue("block", "more");
var bOpen = ""; var bClose = "";
var b = AkelPad.GetArgValue("bold", 0);
if (b) {
	bOpen = "[b]";
	bClose = "[/b]";
}
var pScript = bOpen + '[' + pBlockName + '="' + pFileName + '"]' + bClose + '\r[code]' + AkelPad.GetTextRange(0, -1) + '[/code][/' + pBlockName + ']';
if (pScript)
	AkelPad.SetClipboardText(pScript);